Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Thread Contributor: AirVCorrection des objectifs, help me
#21
C'est le principal. C'est pas vraiment compliqué mais j'ai pas encore trouvé ce qui se passe sous KUbuntu 18.04.
ton darktable doit utiliser liblensfun(0), j'ai regardé l'entête des fichiers compatibles avec cette version et donc modifié l'entête du fichier prévu pour liblensfun(2).
Répondre
#22
(27-05-18, 19:47)jpg54 a écrit : C'est le principal. C'est pas vraiment compliqué mais j'ai pas encore trouvé ce qui se passe sous KUbuntu 18.04.
ton darktable doit utiliser liblensfun(0), j'ai regardé l'entête des fichiers compatibles avec cette version et donc modifié l'entête du fichier prévu pour liblensfun(2).

Bonjour ! Big Grin
Je rencontre le même problème avec un nikon AF-P 70-300 indiqué 171. Pouvez vous m'indiquer ce que vous avez fait ? Les fichiers joints ne sont plus disponibles.
Merci d'avance.
Répondre
#23
Il me faut un peut plus d'infos : système d'exploitation ; version darktable ; version base de données lensfun et un RAW pour que je fasse des tests ?
La définition d'objectifs ne contient que le Nikkor 70-300mm f/4.5-5.6G IF-ED
Répondre
#24
(05-04-20, 13:20)jpg54 a écrit : Il me faut un peut plus d'infos : système d'exploitation ; version darktable ; version base de données lensfun et un RAW pour que je fasse des tests ?
La définition d'objectifs ne contient que le Nikkor 70-300mm f/4.5-5.6G IF-ED


Sur les dernières versions de lensfun, je vois bien mon objectif.
Voilà le lien pour un raw :
https://we.tl/t-whSlsS0VGg

Merci d'avance.

(05-04-20, 14:55)chtéoua a écrit :
(05-04-20, 13:20)jpg54 a écrit : Il me faut un peut plus d'infos : système d'exploitation ; version darktable ; version base de données lensfun et un RAW pour que je fasse des tests ?
La définition d'objectifs ne contient que le Nikkor 70-300mm f/4.5-5.6G IF-ED

J'utilise Ubuntu 18.04, DT 3.1.1, les dernières versions de lensfun et de exiv2 que j'ai compilées, pour être sûr d'être à jour.
Sur les dernières versions de lensfun, je vois bien mon objectif.
Voilà le lien pour un raw :
https://we.tl/t-whSlsS0VGg

Merci d'avance.
Répondre
#25
Je viens d'ouvrir ton RAW, Il y a un problème de reconnaissance de ton objectif dans exiv2 :
[Image: image.png]
comme les information d'image renvoient pour l'objectif : 171 la correction d'objectif ne peut pas trouver le profil LensFun.

Mais tu peux sélectionner manuellement ton objectif :
[Image: image.png]

Je viens d'essayer une commande exiv2 :
[Image: image.png]
j'ai l'impression que c'est la définition de l'objectif dans exiv2 qui ne permet pas de l'utiliser dans la correction d'objectif.
Répondre
#26
Merci beaucoup pour ton travail et ton aide. C'est bien ce que j'en avais déduit. Tu ne sais pas s'il y a une façon de corriger le lien ? Ou alors d'imposer une condition à Darktable ? Quand j'ai un lot de photo, c'est un peu fastidieux. 
Merci encore.
Répondre
#27
Je n'ai pas d'autres solutions que la sélection manuelle de l'objectif et peut-être faire un pré-réglage sur l'objectif ou la focale.
Répondre
#28
Merci beaucoup. Bonne soirée !
Répondre
#29
Comme évoqué récemment dans un autre fil de discussion il est possible de compléter la configuration d'EXIV2 en créant un fichier de conf personnalisé (de mémoire à partir de la version 26). Extrait du manuel :
Exiv2 can read an optional configuration file ~/.exiv2 on Unix systems
and %USERPROFILE%\exiv2.ini on Windows (using a Visual Studio build).
Cygwin and MinGW/msys2 follow the unix convention and use ~/.exiv2 You
can fine the location of the configuration file with the command:

https://www.exiv2.org/manpage.html
Mes photos : jpverrue.fr
Répondre
#30
(06-04-20, 09:33)jpverrue a écrit : Comme évoqué récemment dans un autre fil de discussion il est possible de compléter la configuration d'EXIV2 en créant un fichier de conf personnalisé (de mémoire à partir de la version 26). Extrait du manuel :
Exiv2 can read an optional configuration file ~/.exiv2 on Unix  systems
      and  %USERPROFILE%\exiv2.ini  on Windows (using a Visual Studio build).
      Cygwin and MinGW/msys2 follow the unix convention and use ~/.exiv2  You
      can fine the location of the configuration file with the command:

https://www.exiv2.org/manpage.html


Merci. Je viens de retrouver l'autre fil de discussion et je comprend qu'il faut avoir compilé DT pour modifier les liens dans le fichier de conf et les renvoyer vers la version mise à jour de exiv2.
Pas pour moi cette fois. J'ai essayé ce week-end et j'ai des erreurs au moment de compiler. Il doit me manquer des dépendances.
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)